Get Alarm Details
curl --request GET \
--url https://your-subdomain.alienvault.cloud/api/2.0/alarms/{alarmId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://your-subdomain.alienvault.cloud/api/2.0/alarms/{alarmId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-subdomain.alienvault.cloud/api/2.0/alarms/{alarmId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "971918fd-a569-548a-5a80-1ffcda2a8365",
"has_alarm": false,
"needs_enrichment": true,
"priority": 20,
"suppressed": false,
"events": [
{
"uuid": "f5e69126-dc89-6691-e2e7-6db03905830d"
}
],
"rule_intent": "Environmental Awareness",
"status": "open",
"_links": {
"self": {
"href": "https://mysubdomain.aveng.us/api/2.0/alarms/971918fd-a569-548a-5a80-1ffcda2a8365"
}
}
}{
"result": "<string>",
"location": "<string>",
"error": "<string>"
}Alarms
Get Alarm Details
Retrieves the full details for a single alarm by its UUID.
GET
/
alarms
/
{alarmId}
Get Alarm Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the alarm to retrieve.
Response
Alarm details retrieved successfully.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I